NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::DirectionCollection Class Reference

Represents a collection of Direction s. More...

Inheritance diagram for NXOpen::DirectionCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element.
 
NXOpen::DirectionCreateDirection (const NXOpen::Point3d &origin, const NXOpen::Vector3d &vector, NXOpen::SmartObject::UpdateOption update)
 Creates a Direction without parameters.
 
NXOpen::DirectionCreateDirection (NXOpen::Line *line, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using a Line .
 
NXOpen::DirectionCreateDirection (NXOpen::IBaseCurve *edge, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using a linear Edge or the axis of a conical Edge .
 
NXOpen::DirectionCreateDirection (NXOpen::DatumAxis *datumAxis, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using a DatumAxis .
 
NXOpen::DirectionCreateDirection (NXOpen::Routing::ControlPoint *startPoint, NXOpen::Routing::ControlPoint *endPoint, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using two Routing::ControlPoint s.
 
NXOpen::DirectionCreateDirection (NXOpen::Point *startPoint, NXOpen::Point *endPoint, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using two Point s.
 
NXOpen::DirectionCreateDirection (NXOpen::IParameterizedSurface *face, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using the normal of a Face or the axis of a cylindrical Face .
 
NXOpen::DirectionCreateDirection (NXOpen::IBasePlane *plane, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using the normal of an IBasePlane .
 
NXOpen::DirectionCreateDirection (NXOpen::Sketch *plane, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using the normal of a Sketch .
 
NXOpen::DirectionCreateDirection (NXOpen::Conic *conic, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using the axis of a Conic .
 
NXOpen::DirectionCreateDirection (NXOpen::IBaseCurve *icurve, NXOpen::Scalar *t, NXOpen::Direction::OnCurveOption option, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction on a ICurve using a Scalar representing the t parameter.
 
NXOpen::DirectionCreateDirection (NXOpen::IBaseCurve *icurve, NXOpen::Point *point, NXOpen::Direction::OnCurveOption option, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction on a ICurve at a Point .
 
NXOpen::DirectionCreateDirection (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction normal to the Face using two Scalar s representing the u and v parameters.
 
NXOpen::DirectionCreateDirection (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Direction::OnFaceOption option, NXOpen::Direction *sectionDirection, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction on a Face using two Scalar s representing the u and v parameters with the option of direction on face.
 
NXOpen::DirectionCreateDirection (NXOpen::Face *face, NXOpen::Scalar *u, NXOpen::Scalar *v, bool absoluteUv, NXOpen::Scalar *sectionAngle, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a sectional Direction on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.
 
NXOpen::DirectionCreateDirection (NXOpen::Point *atPoint, NXOpen::Face *face, NXOpen::Direction::OnFaceOption option, NXOpen::SmartObject *sectionDirection, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction on a Face at a Point .
 
NXOpen::DirectionCreateDirection (NXOpen::Direction *directionExtract, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using an extract Direction with optional Xform .
 
NXOpen::DirectionCreateDirection (NXOpen::Point *point, const NXOpen::Vector3d &vector)
 Creates a Direction based upon the parameters used to define the point.
 
NXOpen::DirectionCreateDirection (NXOpen::Face *geomObj, NXOpen::Point *point, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction normal to a Face at a given Point .
 
NXOpen::DirectionCreateDirection (NXOpen::Direction *direction, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction reverse to that of given Direction .
 
NXOpen::DirectionCreateDirection (NXOpen::Routing::Port *port, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction aligned to that of given Routing::Port .
 
NXOpen::DirectionCreateDirection (NXOpen::Direction *direction1, NXOpen::Direction *direction2, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using two Direction s.
 
NXOpen::DirectionCreateDirection (NXOpen::Point *point, NXOpen::Expression *exp, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using an Expression .
 
NXOpen::DirectionCreateDirection (NXOpen::IParameterizedSurface *face, NXOpen::Point *point, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction using the normal of a non-planar Face at a Point.
 
NXOpen::DirectionCreateDirectionOnPointParentCurve (NXOpen::Point *atPoint, NXOpen::IBaseCurve *curve, NXOpen::Direction::OnCurveOption option, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a Direction on a parent ICurve of a Point .
 
iterator end ()
 Returns an iterator addressing one past the last element.
 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Represents a collection of Direction s.


To obtain an instance of this class, refer to BasePart

Created in NX3.0.0.

Member Function Documentation

iterator NXOpen::DirectionCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( const NXOpen::Point3d origin,
const NXOpen::Vector3d vector,
NXOpen::SmartObject::UpdateOption  update 
)

Creates a Direction without parameters.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
originorigin
vectorvector
updateupdate
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Line line,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using a Line .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
lineline
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IBaseCurve edge,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using a linear Edge or the axis of a conical Edge .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
edgeedge
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::DatumAxis datumAxis,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using a DatumAxis .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
datumAxisdatum axis
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Routing::ControlPoint startPoint,
NXOpen::Routing::ControlPoint endPoint,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using two Routing::ControlPoint s.

Returns

Created in NX7.5.4.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
startPointThe Routing Control Points (RCPs)
endPointThe Routing Control Points (RCPs)
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Point startPoint,
NXOpen::Point endPoint,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using two Point s.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
startPointstart point
endPointend point
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IParameterizedSurface face,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using the normal of a Face or the axis of a cylindrical Face .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
faceface
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IBasePlane plane,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using the normal of an IBasePlane .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
planePlane or DatumPlane
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Sketch plane,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using the normal of a Sketch .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
planeplane
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Conic conic,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using the axis of a Conic .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
conicconic
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IBaseCurve icurve,
NXOpen::Scalar t,
NXOpen::Direction::OnCurveOption  option,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction on a ICurve using a Scalar representing the t parameter.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
icurveicurve
tt
optionoption
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IBaseCurve icurve,
NXOpen::Point point,
NXOpen::Direction::OnCurveOption  option,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction on a ICurve at a Point .

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
icurveicurve
pointpoint
optionoption
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction normal to the Face using two Scalar s representing the u and v parameters.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
faceface
uu
vv
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Direction::OnFaceOption  option,
NXOpen::Direction sectionDirection,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction on a Face using two Scalar s representing the u and v parameters with the option of direction on face.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
optionoption
sectionDirectionnecessary when option is Direction::OnFaceOptionSection
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Face face,
NXOpen::Scalar u,
NXOpen::Scalar v,
bool  absoluteUv,
NXOpen::Scalar sectionAngle,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a sectional Direction on a Face using two Scalar s representing the u and v parameters and a Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
faceface
uu
vv
absoluteUvtrue if u and v are absolute parameters
sectionAnglesection angle
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Point atPoint,
NXOpen::Face face,
NXOpen::Direction::OnFaceOption  option,
NXOpen::SmartObject sectionDirection,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction on a Face at a Point .

  The input point could be a point on curve whose parent curve is an edge or a
  curve on surface feature. Or it could be an extract point whose parent point is a point on face.
  User can optionally supply a face in which case it is honored instead of looking for the parent
  face of the input point. In that case input point is projected on the face to find the direction
  at the projected location.
Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
optionoption
sectionDirectionAn object of type Direction or Scalar and is necessary when option is Direction::OnFaceOptionSection
sensesense
updateOptionupdateoption
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Direction directionExtract,
NXOpen::Xform xform,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using an extract Direction with optional Xform .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
directionExtractdirection extract
xformOptional Xform
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Point point,
const NXOpen::Vector3d vector 
)

Creates a Direction based upon the parameters used to define the point.

If the direction can be defined solely by the point then the vector parameter is ignored.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
pointpoint
vectorvector
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Face geomObj,
NXOpen::Point point,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction normal to a Face at a given Point .

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
geomObjFace
pointPoint
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Direction direction,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction reverse to that of given Direction .

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
directionDirection
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Routing::Port port,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction aligned to that of given Routing::Port .

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
portRouting::Port
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Direction direction1,
NXOpen::Direction direction2,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using two Direction s.

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
direction1direction1
direction2direction2
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::Point point,
NXOpen::Expression exp,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using an Expression .

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
pointpoint
expexp
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirection ( NXOpen::IParameterizedSurface face,
NXOpen::Point point,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction using the normal of a non-planar Face at a Point.

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
Parameters
faceface
pointpoint
sensesense
updateOptionupdate option
NXOpen::Direction* NXOpen::DirectionCollection::CreateDirectionOnPointParentCurve ( NXOpen::Point atPoint,
NXOpen::IBaseCurve curve,
NXOpen::Direction::OnCurveOption  option,
NXOpen::Sense  sense,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a Direction on a parent ICurve of a Point .

  The input point could be an extract point whose parent point is a point on curve.
  User can optionally supply a curve in which case it is honored instead of looking for the parent
  curve of the input point. In that case input point is projected on the curve to find the direction
  at the projected location.
Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
curveOptional Curve or Edge input
optionoption
sensesense
updateOptionupdateoption
iterator NXOpen::DirectionCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::DirectionCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.